textures/waterfall/ice_slick
{

	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	surfaceparm slick
	{
		map textures/waterfall/blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.04 0.3 )
		tcGen environment
		tcMod scroll 0.0015 -0
	}
}



textures/waterfall/ice_slick2
{
	qer_editorimage textures/waterfall/ice_slick2
	surfaceparm slick
	implicitMap textures/waterfall/ice_slick2.tga
}



textures/waterfall/edge_slick
{
	qer_editorimage textures/waterfall/edge_slick
	surfaceparm slick
	implicitMap textures/waterfall/edge_slick.tga
}


textures/waterfall/brown
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	{
		map textures/waterfall/brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.22 0.13 0.0 )
		tcGen environment
		tcMod scroll 0.0005 -0
	}
}	

textures/waterfall/blue
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	{
		map textures/waterfall/blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.04 0.3 )
		tcGen environment
		tcMod scroll 0.0015 -0
	}
}	


textures/waterfall/pink
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	{
		map textures/waterfall/pink.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.0 0.44 )
		tcGen environment
		tcMod scroll 0.0015 -0
	}
}	

textures/waterfall/green
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	{
		map textures/waterfall/green.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.53)
		tcGen environment
		tcMod scroll 0.0015 -0
	}
}	




//deformVertexes wave <div> <func> <base> <amplitude> <phase> <freq>
//Designed for water surfaces, modifying the values differently at each point.
//It accepts the standard wave functions of the type sin, triangle, square, sawtooth or inversesawtooth. 
//The "div" parameter is used to control the wave "spread" - a value equal to the tessSize of 
//the surface is a good default value (tessSize is subdivision size, in game units, 
//used for the shader when seen in the game world) .

textures/waterfall/brushwalker137
{
	qer_editorimage textures/waterfall/brushwalker137
		q3map_globaltexture
	q3map_lightimage textures/broken/brushwalker137.tga
	q3map_surfacelight 1300
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm splash

	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 75 sin 0.5 0.1 0.5 1.0
	implicitMap textures/waterfall/brushwalker137.tga
	
	        {
		map textures/waterfall/brushwalker137.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}


textures/waterfall/weapspawn01
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		clampmap textures/waterfall/weapspawn01.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 45
	}
	{
		map textures/waterfall/weapspawn01.blend.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/waterfall/dsiglass
{
	qer_editorimage textures/waterfall/dsiglass.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/waterfall/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/waterfall/tmpjp
{
	qer_editorimage textures/waterfall/tmpjp.tga
	q3map_lightimage textures/waterfall/tmpjp.blend.tga
	q3map_surfacelight 500
	{
		map textures/waterfall/tmpjp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/waterfall/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
}

textures/waterfall/tmpjp2
{
	qer_editorimage textures/waterfall/tm.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/waterfall/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/waterfall/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
	{
		map textures/waterfall/tmpjp2.tga
		blendfunc blend
	}
}

textures/waterfall/steplight1b
{
	qer_editorimage textures/waterfall/steplight1b.tga
	q3map_lightimage textures/waterfall/steplight1.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/steplight1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/steplight1.blend.tga
		blendfunc add
	}
}

textures/waterfall/steplight1
{
	qer_editorimage textures/waterfall/steplight1.tga
	q3map_lightimage textures/waterfall/steplight1.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/steplight1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/steplight1.blend.tga
		blendfunc add
	}
}

textures/waterfall/tlight
{
	qer_editorimage textures/waterfall/tlight.tga
	q3map_lightimage textures/waterfall/tlight.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/tlight.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/tlight.blend.tga
		blendfunc add
	}
}

textures/waterfall/cretelighttrim01
{
	qer_editorimage textures/waterfall/cretelighttrim01.tga
	q3map_lightimage textures/waterfall/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/cretelighttrim01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/waterfall/cretetrimlight2
{
	qer_editorimage textures/waterfall/cretetrimlight2.tga
	q3map_lightimage textures/waterfall/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/cretetrimlight2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/waterfall/cretetrimlight3
{
	qer_editorimage textures/waterfall/cretetrimlight3.tga
	q3map_lightimage textures/waterfall/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/cretetrimlight3.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/waterfall/cretetrimlight4
{
	qer_editorimage textures/waterfall/cretetrimlight4.tga
	q3map_lightimage textures/waterfall/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/cretetrimlight4.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/waterfall/cretetrimlight3b
{
	qer_editorimage textures/waterfall/cretetrimlight3b.tga
	q3map_lightimage textures/waterfall/cretelighttrim3.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/cretetrimlight3b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/cretelighttrim3.blend.tga
		blendfunc add
	}
}

textures/waterfall/waterfall/dablue
{
	qer_editorimage textures/waterfall/dablue.blend.tga
	q3map_lightimage textures/waterfall/dablue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/waterfall/dablue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/dablue.blend.tga
		blendfunc add
	}
}

textures/waterfall/cretewalllight01
{
	qer_editorimage textures/waterfall/cretewalllight01.tga
	q3map_lightimage textures/waterfall/cretewalllight01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map textures/waterfall/cretewalllight01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/waterfall/cretewalllight01.blend.tga
		blendfunc add
	}
}

